define(['jquery', 'ajax_queue'], function($, Ajaxqueue) {

	var user_info;

	return {
		info: function(done) {
			if(user_info) return done(user_info);

			Ajaxqueue({
				url: '/plots/user-info/',
				cache: 1000000,
				success: function(info) {
					done(user_info = info);
				}
			});
		},

		is: function(policy) {
			return user_info && user_info.policies && !!~$.inArray(policy, user_info.policies);
		},

		is_forecaster: function() {
			return user_info && user_info.policies && (!!~$.inArray('ecmwf', user_info.policies) || !!~$.inArray('forecaster', user_info.policies));
		}
	}
});
